Home

# Class goog.fx.DragDropItem

Class representing a source or target element for drag and drop operations.

extends goog.events.EventTarget

Instance Method Summary
| `getCurrentDragElement() ⇒ ?Element` Gets the element that is currently being dragged.
| `getData() ⇒ (Object|null|undefined)` Get the data associated with the source/target.
| `getDraggableElement(?Element target) ⇒ ?Element` Gets the element that is actually draggable given that the given target was attempted to be dragged. This should be overriden when the element that was given actually contains many items that can be dragged. From the target, you can determine what element should actually be dragged.
| `getDraggableElements() ⇒ ?Array` Gets all the elements of this item that are potentially draggable/
| `maybeStartDrag_(?goog.events.BrowserEvent event, ?Element element)` Adds mouse move, mouse out and mouse up handlers.
| `mouseDown_(?goog.events.BrowserEvent event)` Event handler for mouse down.
| `mouseMove_(?goog.events.BrowserEvent event)` Event handler for mouse move. Starts drag operation if moved more than the threshold value.
| `mouseUp_(?goog.events.BrowserEvent event)` Event handler for mouse up. Removes mouse move, mouse out and mouse up event handlers.
| `setParent(?goog.fx.AbstractDragDrop parent)` Sets the dragdrop to which this item belongs.